List snapshots for your VM

View all available snapshots for a specific virtual machine (VM). Use this when you want to see historical states of your server or restore it to a previous point in time.

VPS Services Snapshots

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data array<object> required · Example: [{"digest":"daa0946d4cc6949d7817ad60fa0ba7f3cd065184","running":0,"name":"current","des...

[object Object]

data[].description string required · Example: You are here!
data[].digest string · Example: daa0946d4cc6949d7817ad60fa0ba7f3cd065184
data[].name string required · Example: current
data[].parent string · enum · Example: before-update
Before-Greg
First_Snapshot
Proxmox-OPNsense
Proxmox-Opnsense
before-update
before_update
full-prox-konfig
data[].running integer · Example: 0
data[].snaptime integer · Example: 1768408166
data[].vmstate integer · Example: 0
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/snapshots
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/snapshots" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": [
    {
      "digest": "daa0946d4cc6949d7817ad60fa0ba7f3cd065184",
      "running": 0,
      "name": "current",
      "description": "You are here!"
    }
  ]
}